Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1177985

Summary: qt5-qtsensors is FTBFS on aarch64
Product: [Fedora] Fedora Reporter: Peter Robinson <pbrobinson>
Component: qt5-qtsensorsAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: jgrulich, jreznik, kevin, ltinkl, rdieter, rnovacek, than
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: qt5-qtsensors-5.4.0-2.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-08 23:33:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 922257    

Description Peter Robinson 2015-01-01 01:17:51 UTC
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2838979


g++ -c -pipe -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -fno-exceptions -Wall -W -D_REENTRANT -fPIE -DQT_NO_MTDEV -DQT_NO_EXCEPTIONS -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -DQT_NO_DEBUG -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/lib64/qt5/mkspecs/linux-g++ -I/builddir/build/BUILD/qtsensors-opensource-src-5.4.0/examples/sensors/shakeit -isystem /usr/include/qt5 -isystem /usr/include/qt5/QtQuick -isystem /usr/include/qt5/QtGui -isystem /usr/include/qt5/QtQml -isystem /usr/include/qt5/QtNetwork -isystem /usr/include/qt5/QtCore -I.moc -I. -o .obj/qrc_shakeit.o .rcc/qrc_shakeit.cpp
g++ -Wl,-z,relro -shared -Wl,-soname,libgruesensor.so.1 -o libgruesensor.so.1.0.0 .obj/gruesensor.o  -L/builddir/build/BUILD/qtsensors-opensource-src-5.4.0/aarch64-redhat-linux-gnu/lib -lQt5Sensors -lQt5Core -lpthread  
ln -s libgruesensor.so.1.0.0 libgruesensor.so
ln -s libgruesensor.so.1.0.0 libgruesensor.so.1
ln -s libgruesensor.so.1.0.0 libgruesensor.so.1.0
rm -f ../../grue/libgruesensor.so.1.0.0
mv -f libgruesensor.so.1.0.0  ../../grue/ 
rm -f ../../grue/libgruesensor.so
rm -f ../../grue/libgruesensor.so.1
rm -f ../../grue/libgruesensor.so.1.0
mv -f libgruesensor.so ../../grue/ 
mv -f libgruesensor.so.1 ../../grue/ 
mv -f libgruesensor.so.1.0 ../../grue/ 
make[4]: Leaving directory '/builddir/build/BUILD/qtsensors-opensource-src-5.4.0/aarch64-redhat-linux-gnu/examples/sensors/grue/lib'
( test -e Makefile.qml || /usr/lib64/qt5/bin/qmake /builddir/build/BUILD/qtsensors-opensource-src-5.4.0/examples/sensors/grue/qml.pro QMAKE_CFLAGS_DEBUG=-O2\ -g\ -pipe\ -Wall\ -Werror=format-security\ -Wp,-D_FORTIFY_SOURCE=2\ -fexceptions\ -fstack-protector-strong\ --param=ssp-buffer-size=4\ -grecord-gcc-switches\  QMAKE_CFLAGS_RELEASE=-O2\ -g\ -pipe\ -Wall\ -Werror=format-security\ -Wp,-D_FORTIFY_SOURCE=2\ -fexceptions\ -fstack-protector-strong\ --param=ssp-buffer-size=4\ -grecord-gcc-switches\  QMAKE_CXXFLAGS_DEBUG=-O2\ -g\ -pipe\ -Wall\ -Werror=format-security\ -Wp,-D_FORTIFY_SOURCE=2\ -fexceptions\ -fstack-protector-strong\ --param=ssp-buffer-size=4\ -grecord-gcc-switches\  QMAKE_CXXFLAGS_RELEASE=-O2\ -g\ -pipe\ -Wall\ -Werror=format-security\ -Wp,-D_FORTIFY_SOURCE=2\ -fexceptions\ -fstack-protector-strong\ --param=ssp-buffer-size=4\ -grecord-gcc-switches\  QMAKE_LFLAGS_DEBUG=-Wl,-z,relro\  QMAKE_LFLAGS_RELEASE=-Wl,-z,relro\  QMAKE_STRIP= -o Makefile.qml ) && make -f Makefile.qml 
/usr/lib/gcc/aarch64-redhat-linux/4.9.2/../../../../lib64/libQt5Quick.so: undefined reference to `QOpenGLContextPrivate::globalShareContext()'
collect2: error: ld returned 1 exit status
Makefile:97: recipe for target 'qmlqtsensors' failed
make[3]: Leaving directory '/builddir/build/BUILD/qtsensors-opensource-src-5.4.0/aarch64-redhat-linux-gnu/examples/sensors/qmlqtsensors'
make[3]: *** [qmlqtsensors] Error 1
Makefile:123: recipe for target 'sub-qmlqtsensors-make_first' failed

Comment 1 Rex Dieter 2015-01-01 02:58:39 UTC
Looks like I need to bump 
BuildRequires: pkgconfig(Qt5Qml)

to
BuildRequires: pkgconfig(Qt5Qml) > 5.4.0

(ie, if you build qt5-qtdeclarative first, this should be ok here too)

Comment 2 Rex Dieter 2015-01-01 03:02:02 UTC
%changelog
* Wed Dec 31 2014 Rex Dieter <rdieter> 5.4.0-2
- BR: pkgconfig(Qt5Qml) > 5.4.0 (#1177985)

Comment 3 Fedora Update System 2015-01-01 15:24:55 UTC
qt5-qtsensors-5.4.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qt5-qtsensors-5.4.0-2.fc21

Comment 4 Fedora Update System 2015-01-02 05:01:33 UTC
Package qt5-qtsensors-5.4.0-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt5-qtsensors-5.4.0-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0031/qt5-qtsensors-5.4.0-2.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-08 23:33:19 UTC
qt5-qtsensors-5.4.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.